# DataExchange
TKVRML
VrmlAPI

# VrmlAPI Class Reference

API for writing to VRML 1.0
.

`#include <VrmlAPI.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Write (const TopoDS_Shape &aShape, const Standard_CString aFileName)
| Converts the shape aShape to VRML format and writes it to the file identified by aFileName using default parameters. .

## Member Function Documentation

void VrmlAPI::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlAPI::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlAPI::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void VrmlAPI::Write | ( | const TopoDS_Shape & | aShape,
|  | const Standard_CString | aFileName
| ) | `[static]`

The documentation for this class was generated from the following file:

- VrmlAPI.hxx